PHP-Nuke 4nChat错误验证roomid参数 SQL注入漏洞-安全防范-中琅软件教程网

中琅软件教程网

首页搜索登录
首页业界网页平面多媒体程序数据库办公工具服务器系统网络安全站长认证壁纸
加入收藏 | 网站地图 | | RSS | WAP
你好,游客 登录 注册 搜索

PHP-Nuke 4nChat错误验证roomid参数 SQL注入漏洞

[日期:2008-03-11] 作者: 来源: [字体: ]

受影响系统
PHP-Nuke 4nChat 0.91

描述:
PHP-Nuke是一个广为流行的网站创建和管理工具,它可以使用很多数据库软件作为后端,比如MySQL、PostgreSQL、mSQL、Interbase、Sybase等。

PHP-Nuke的实现上存在输入验证漏洞,4nChat模块没有正确地验证对roomid参数的输入,这允许远程攻击者通过提交特制的参数值执行SQL注入攻击。

厂商补丁:
目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:

http://phpnuke.org/

关键词:错误 

收藏 推荐 打印 | 录入:blue1000 | 阅读:
最新图文
本文评论   查看全部评论 (0)
表情: 姓名: 字数
点评:
       
评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事/刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款